#ifndef ADAPTER_PCI_VPD_GENERIC_H
#define ADAPTER_PCI_VPD_GENERIC_H

/*
  adapter_pci_vpd_generic - Generic PCI VPD grabber.
  
  This file is part of the Linux lsvpd package.
  
  (C) Copyright IBM Corp. 2002, 2003, 2004, 2005, 2006
  
  Maintained by  Martin Schwenke <martins@au.ibm.com>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version.
 
  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  
  $Id: adapter_pci_vpd_generic.h,v 1.4 2006/01/13 03:52:06 martins Exp $
*/
  
#include <sys/types.h>
#include <stdint.h>

#include "growbuf.h"

struct adapter_pci_vpd_state;

typedef ssize_t
(*adapter_pci_vpd_reader_t) (struct adapter_pci_vpd_state * this,
			     uint8_t *                      c_ptr,
			     ssize_t                        count);

struct adapter_pci_vpd_state {
	adapter_pci_vpd_reader_t rf;
};

growbuf * adapter_pci_vpd_grab(struct adapter_pci_vpd_state *);

#endif
