#ifndef LSVPD_DEVICE_H
#define LSVPD_DEVICE_H

/*
  lsvpd - Device-related definitions for the lsvpd package.
  
  This file is part of the Linux lsvpd package.
  
  (C) Copyright IBM Corp. 2002, 2003, 2004, 2005, 2006
  
  Maintained by  Martin Schwenke <martins@au.ibm.com>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version.
 
  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  
  $Id: device.h,v 1.12 2006/02/26 23:43:48 martins Exp $
*/
  
#include <sys/types.h>

#include "node.h"

#define DEVICE_TYPE_DEFAULT "device"

typedef struct {
	mode_t mode;
	unsigned int major;
	unsigned int minor;
} device_node_info_t;

typedef device_node_info_t *
(device_get_info_function_t) (const node_t type,
			      const bus_info_t bus_info);

typedef struct {
	char * name;
	int fd;
} device_temp_t;

extern device_temp_t *
device_open_temporary(const device_node_info_t * info);

extern void
device_close_temporary(device_temp_t ** d);

#endif
