#ifndef LSVPD_H
#define LSVPD_H

/*
  lsvpd - General definitions for the lsvpd package.
  
  This file is part of the Linux lsvpd package.
  
  (C) Copyright IBM Corp. 2002, 2003, 2004, 2005, 2006
  
  Maintained by  Martin Schwenke <martins@au.ibm.com>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version.
 
  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  
  $Id: lsvpd.h,v 1.4 2006/01/20 11:39:56 martins Exp $
*/
  
#define LSVPD_BUS_ALIAS		"bus-alias"
#define LSVPD_ADAPTER_BUS_LINK	"lsvpd,adapter-bus-node"
#define LSVPD_OS_LINK		"lsvpd,os-node"
#define LSVPD_SUBTYPE_FILE      "lsvpd,subtype"
#define LSVPD_TMP_SUBDIR        "lsvpd,tmp"

#define LSVPD_DB_BUS_SUBDIR   "bus"
#define LSVPD_DB_OS_SUBDIR    "linux"
#define LSVPD_DB_MISC_SUBDIR  "misc"
#define LSVPD_DB_PROC_SUBDIR  "proc"
#define LSVPD_DB_UNAME_SUBDIR "uname"
#define LSVPD_DB_STATE_SUBDIR "state"
#define LSVPD_DB_TEMP_SUBDIR  "tmp"

extern const char * lsvpd_db_dir;
extern const char * lsvpd_db_bus_dir;
extern const char * lsvpd_db_os_dir;
extern const char * lsvpd_db_misc_dir;
extern const char * lsvpd_db_proc_dir;
extern const char * lsvpd_db_uname_dir;
extern const char * lsvpd_db_state_dir;
extern const char * lsvpd_db_temp_dir;
extern const char * lsvpd_db_lock_dir;

extern void
lsvpd_db_mkdirs(void);

#endif
