/*
  test_growbuf - Test growable buffer.
  
  This file is part of the Linux lsvpd package.
  
  (C) Copyright IBM Corp. 2003, 2004
  
  Maintained by  Martin Schwenke <martins@au.ibm.com>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version.
 
  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  
  $Id: test_growbuf.c,v 1.2 2004/01/08 03:52:40 martins Exp $
  
  */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "growbuf.h"

void
dump_growbuf(growbuf * b)
{
	fprintf(stderr,
		"len=%d, max=%d, chunk_size=%d\n",
		b->len, b->max, b->chunk_size);
};


int
main()
{
	unsigned char s[256];
	growbuf * b = growbuf_new(16);
	growbuf_iter * i = growbuf_iter_new(b);
	
	while (NULL != fgets(s, 256, stdin)) {
		/*dump_growbuf(b);*/
		growbuf_append(b, s, strlen(s));
		/*dump_growbuf(b);*/
	}

	for ( ; growbuf_iter_more(i) ; growbuf_iter_next(i)) {
		putchar(*growbuf_iter_current(i));
	}

	growbuf_iter_free(i);
	growbuf_free(b);

	exit(0);
}
